Index: /trunk/src/VBox/Installer/linux/vboxdrv.sh.in
===================================================================
--- /trunk/src/VBox/Installer/linux/vboxdrv.sh.in	(revision 23887)
+++ /trunk/src/VBox/Installer/linux/vboxdrv.sh.in	(revision 23888)
@@ -50,8 +50,8 @@
     BUILDVBOXNETFLT="/usr/share/%PACKAGE%/src/vboxnetflt/build_in_tmp"
     BUILDVBOXNETADP="/usr/share/%PACKAGE%/src/vboxnetadp/build_in_tmp"
+    # silently exit if the package was uninstalled but not purged,
+    # applies to Debian packages only
+    [ -x $VBOXMANAGE -a -x $BUILDVBOXDRV ] || exit 0
 fi
-
-# silently exit if the package was uninstalled but not purged
-[ -x $VBOXMANAGE -a -x $BUILDVBOXDRV ] || exit 0
 
 if [ -n "$NOLSB" ]; then
